## xaw3d 1.3

=== lib/Xaw3d/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/88 1995/12/08 16:33:13 gildea $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.a001o6>
# $XConsortium: Imake.tmpl /main/r61_main/3 1996/02/02 18:57:32 gildea $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf /main/22 1995/12/05 16:39:53 mor $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/154 1996/01/19 15:01:48 kaleb $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit sgi.cf to change

# platform:  $XConsortium: sgi.cf /main/23 1996/02/02 18:59:52 gildea $

# operating system:  		IRIX 5.3

# $XConsortium: sgiLib.rules /main/14 1995/10/16 18:46:30 gildea $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/154 1996/01/19 15:01:48 kaleb $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules /main/208 1996/01/17 11:08:27 kaleb $

          PATHSEP = /
            SHELL = 	/bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend

          INCROOT = /X11/include
        USRLIBDIR = /X11/lib
         SHLIBDIR = /X11/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/local/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = ar scq
  BOOTSTRAPCFLAGS = 	-DSVR4
               CC = cc
               AS = as

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = bsdinst
     INSTALLFLAGS = -c
               LD = ld
              LEX = lex
           LEXLIB = -ll
             YACC = yacc
           CCYACC = yacc
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

               RM = rm -f
        MANSUFFIX = n
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 4
            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = 	-DSVR4
      STD_DEFINES = 	-DSVR4
 EXTRA_LOAD_FLAGS = -Wl,-rpath,$(USRLIBDIR)
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -KPIC

      CXXPICFLAGS = -KPIC

    PROTO_DEFINES = -DFUNCPROTO=7 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 2711 -g sys

      PROJECTROOT = /X11

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O
        CCOPTIONS = -xansi

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = sgi.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl \
			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) \
			$(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl /main/r61_main/6 1996/01/15 12:26:59 gildea $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /X11/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: sgiLib.tmpl,v 1.1 94/12/12 11:59:22 kaleb Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.1
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY =  $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 6.1
DEPEXTENSIONLIB =
EXTENSIONLIB =  -lXext

LINTEXTENSION =  $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB =  $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH =  $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB =  $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP =  $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 6.0
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU =  $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

SOOLDXREV = 6.0
DEPOLDXLIB =
OLDXLIB =  -loldX

LINTOLDX =  $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 6.0
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY =  $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.1
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW =  $(LINTLIBDIR)/llib-lXaw.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 6.0
DEPXILIB =
XILIB =  -lXi

LINTXI =  $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

SOXTESTREV = 6.1
DEPXTESTLIB =
XTESTLIB =  -lXtst

LINTXTEST =  $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

SOPEXREV = 6.0
DEPPEXLIB =
PEXLIB =  -lPEX5

LINTPEX =  $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

SOXIEREV = 6.0
DEPXIELIB =
XIELIB =  -lXIE

LINTXIE =  $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

DEPPHIGSLIB =  $(USRLIBDIR)/libphigs.a
PHIGSLIB =  -lphigs

LINTPHIGS =  $(LINTLIBDIR)/llib-lphigs.ln

DEPXBSDLIB =  $(USRLIBDIR)/libXbsd.a
XBSDLIB =  -lXbsd

LINTXBSD =  $(LINTLIBDIR)/llib-lXbsd.ln

           ICESRC = $(LIBSRC)/ICE

SOICEREV = 6.0
DEPICELIB =
ICELIB =  -lICE

LINTICE =  $(LINTLIBDIR)/llib-lICE.ln

            SMSRC = $(LIBSRC)/SM

SOSMREV = 6.0
DEPSMLIB =
SMLIB =  -lSM

LINTSM =  $(LINTLIBDIR)/llib-lSM.ln

         FSLIBSRC = $(LIBSRC)/FS

DEPFSLIB =  $(USRLIBDIR)/libFS.a
FSLIB =  -lFS

LINTFS =  $(LINTLIBDIR)/llib-lFS.ln

         FONTLIBSRC = $(LIBSRC)/font

DEPFONTLIB =  $(USRLIBDIR)/libfont.a
FONTLIB =  -lfont

LINTFONT =  $(LINTLIBDIR)/llib-lfont.ln

    XKBFILELIBSRC = $(LIBSRC)/xkbfile

DEPXKBFILELIB =  $(USRLIBDIR)/libxkbfile.a
XKBFILELIB =  -lxkbfile

LINTXKBFILE =  $(LINTLIBDIR)/llib-lxkbfile.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

        CONFIGDIR = $(LIBDIR)/config

# ----------------------------------------------------------------------
# start of Imakefile

# $XConsortium: Imakefile,v 1.78 91/09/18 14:28:23 rws Exp $

REQUIREDLIBS = -lw

DEFINES = 	-DHAS_WCTYPE_H -DHAS_ISW_FUNCS

       LINTLIBS = $(LINTXLIB) $(LINTXTOOL)

#  EXTRA_DEFINES = -DARROW_SCROLLBAR -DUSEGRAY

#  EXTRA_INCLUDES = -I.

HEADERS = \
	AllWidgets.h \
	AsciiSink.h \
	AsciiSinkP.h \
	AsciiSrc.h \
	AsciiSrcP.h \
	AsciiText.h \
	AsciiTextP.h \
	Box.h \
	BoxP.h \
	Cardinals.h \
	Command.h \
	CommandP.h \
	Dialog.h \
	DialogP.h \
	Form.h \
	FormP.h \
	Grip.h \
	GripP.h \
	Label.h \
	LabelP.h \
	Layout.h \
	LayoutP.h \
	List.h \
	ListP.h \
	MenuButton.h \
	MenuButtoP.h \
	MultiSrc.h \
	MultiSrcP.h \
	MultiSink.h \
	MultiSinkP.h \
	Paned.h \
	PanedP.h \
	Panner.h \
	PannerP.h \
	Porthole.h \
	PortholeP.h \
	Repeater.h \
	RepeaterP.h \
	Reports.h \
	Scrollbar.h \
	ScrollbarP.h \
	Simple.h \
	SimpleP.h \
	SimpleMenu.h \
	SimpleMenP.h \
	Sme.h \
	SmeP.h \
	SmeBSB.h \
	SmeBSBP.h \
	SmeLine.h \
	SmeLineP.h \
	SmeThreeD.h \
	SmeThreeDP.h \
	StripChart.h \
	StripCharP.h \
	Template.c \
	Template.h \
	TemplateP.h \
	Text.h \
	TextP.h \
	TextSink.h \
	TextSinkP.h \
	TextSrc.h \
	TextSrcP.h \
	ThreeD.h \
	ThreeDP.h \
	Toggle.h \
	ToggleP.h \
	Tree.h \
	TreeP.h \
	VendorEP.h \
	Viewport.h \
	ViewportP.h \
	XawImP.h \
	XawInit.h

SRCS = \
	AllWidgets.c \
	AsciiSink.c \
	AsciiSrc.c \
	AsciiText.c \
	Box.c \
	Command.c \
	Dialog.c \
	Form.c \
	Grip.c \
	Label.c \
	Layout.c \
	List.c \
	MenuButton.c \
	MultiSrc.c \
	MultiSink.c \
	Paned.c \
	Panner.c \
	Porthole.c \
	Repeater.c \
	Scrollbar.c \
	Simple.c \
	SimpleMenu.c \
	Sme.c \
	SmeBSB.c \
	SmeLine.c \
	SmeThreeD.c \
	StripChart.c \
	Text.c \
	TextSink.c \
	TextSrc.c \
	TextAction.c \
	TextPop.c \
	TextTr.c \
	ThreeD.c \
	Toggle.c \
	Tree.c \
	Vendor.c \
	Viewport.c \
	XawIm.c \
	XawInit.c \
	XawI18n.c \
	sharedlib.c \
	laygram.c \
	laylex.c

OBJS = \
	AllWidgets.o \
	AsciiSink.o \
	AsciiSrc.o \
	AsciiText.o \
	Box.o \
	Command.o \
	Dialog.o \
	Form.o \
	Grip.o \
	Label.o \
	Layout.o \
	List.o \
	MenuButton.o \
	MultiSrc.o \
	MultiSink.o \
	Paned.o \
	Panner.o \
	Porthole.o \
	Repeater.o \
	Scrollbar.o \
	Simple.o \
	SimpleMenu.o \
	Sme.o \

## xaw3d 1.5+F

=== debian/changelog ===
xaw3d (1.5+F-1) unstable; urgency=medium

  * Reassembled original tarball to cope with dquilt.
  * Revamped package with source format 3.0 and modern compat for dh.
    (closes: #670732)
  * Removed obsolete flex-old b-d. (closes: #932562)
  * Policy bumped to 4.5.1.
  * Added Vcs-* fields to d/control.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 07 Jan 2021 19:57:42 +0100

xaw3d (1.5+E-18.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support (Closes:
    #870564). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 14:50:00 +0100

xaw3d (1.5+E-18.2) unstable; urgency=low

  * Non-maintainer upload with permission of Francesco Paolo Lovergine.
  * Apply Multi-Arch patch.  Closes: #646194.

 -- Mark Hymers <mhy@debian.org>  Mon, 14 May 2012 21:54:41 +0000

xaw3d (1.5+E-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debian/copyright to add missing license information as proposed by
    Josue Abarca (Closes: #609907)
  * Set urgency to medium due to RC bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 02 Dec 2011 18:10:25 +0100

xaw3d (1.5+E-18) unstable; urgency=low

  * Removed old scripts still around in debian/ tree.
  * Now using dh_prep instead of dh_clean -k.
  * Debhelper level set to 7.
  * Policy bumped to 3.8.4.
  * Added patch XawIm.c to prevent gv segfaulting.
    (closes: #573474)
  * Added ${misc:Depends} to both binary packages to make lintian happy.
  * Added xaw3dg.lintian-overrides to override the 
    package-name-doesnt-match-sonames lintian warning.
  * Added debian/README.source.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 26 Apr 2010 17:47:03 +0200

xaw3d (1.5+E-17) unstable; urgency=low

  * Bumped replace to conflicts with pre -16 version. That's needed for 
    moving of the .so link 
   (closes: #492302)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 25 Jul 2008 09:47:14 +0200

xaw3d (1.5+E-16) unstable; urgency=low

  * New patch: MultiSrc.c.dpatch to avoid a double free bug with
    internalionalized text. Patch taken from Xaw and used in Fedora.
    (closes: #438737, #441304)
  * Now using ${binary:Version} instead of ${Source-Version} in debian/control.
  * Policy bumped to 3.8.0.
  * Removed now superfluous libc-dev build-dependency.
  * Symlink libXaw3d.so moved into -dev package.
  * Moved xutils -> xutils-dev dependency in -dev package.
    (closes: #485230)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 24 Jul 2008 12:39:29 +0200

xaw3d (1.5+E-15) unstable; urgency=low

  * New patch: Box.c.dpatch, to avoid an infinite loop due to short int overflow.
    Thanks Glenn Burkhard. (closes: #420348)
  * Policy bumped to 3.7.2 (no changes).
  * Debhelper level moved to 5 with a few changes in debian/rules.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 24 Apr 2007 15:24:24 +0200

xaw3d (1.5+E-14) unstable; urgency=low

  * Sigh, libxmu-dev is more appropriate that the headers-only package dep
    probably in xaw3dg-dev too.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed,  3 May 2006 12:17:05 +0200

xaw3d (1.5+E-13) unstable; urgency=low

  * Reintroduced _strictly_ required X11 -dev dependencies for xaw3dg-dev.
    That should reduce the number of FTBS. The same list is now used in
    build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed,  3 May 2006 11:39:08 +0200

xaw3d (1.5+E-12) unstable; urgency=low

  * Removed libxaw8-dev fake dependency, because it has been dropped in xorg
    roadmap.
  * Removed all X11 -dev dependencies in xaw3dg-dev, and the old
    libc-dev|libc6-dev now superfluous dependency too. Packages now have to 
    declare explicitly their own -dev build-deps.
    (closes: #241280)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue,  2 May 2006 23:45:03 +0200

xaw3d (1.5+E-11) unstable; urgency=low

  * Changed to xorg 7 conformancy in paths: 
  	/usr/X11R6/lib -> /usr/lib
        /usr/X11R6/include -> /usr/include
    (closes: #362074, #363578)
  * Added xutils-dev versioned dependency.
  * Removed fake libxp-dev build-dep due to xmkmf bug.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 15 Apr 2006 09:41:45 +0200

xaw3d (1.5+E-10) unstable; urgency=low

  * Added dependency on libxaw8-dev as alternative to 6|7 versions.
    (closes: #321664)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  9 Jan 2006 08:34:44 +0100

xaw3d (1.5+E-9) unstable; urgency=low

  * Added build-dep for libxp-dev and revised other dependencies.
    (closes: #330481)
  * Policy bumped to 3.6.2 (no changes).
  * Removed libc5 stuff in rules file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 28 Sep 2005 14:18:28 +0200

xaw3d (1.5+E-8) unstable; urgency=high

  * Added new missing build-dep libxmu-dev due to last change.
    (closes: #274589)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  4 Oct 2004 21:30:18 +0200

xaw3d (1.5+E-7) unstable; urgency=low

  * Changed build-deps to reflect -dev changes in X 4.3+
    (closes: #241772)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  2 Aug 2004 15:32:04 +0200

xaw3d (1.5+E-6) unstable; urgency=high

  * Removed libxaw-dev dependency and introduced libxaw7-dev dependency.
    (closes: #217084)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 24 Oct 2003 08:46:48 +0200

xaw3d (1.5+E-5) unstable; urgency=low

  * Removed libc5 stuff. It currently require a xlib6-altdev pkg which is not
    currently available in xfree86. A control.oldlib has been preserved
    for eventual future use.
    A whishlist bug is required (to be reassigned to xfree86 :)) if
    a libc5 oldlib is needed by someone.
    (See #206832)
  * Current flex is ok, control changed consequently.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 13 Oct 2003 11:01:53 +0200

xaw3d (1.5+E-4) unstable; urgency=low

  * Added conditional to xlib6-altdev for i386.
    (closes: #213113)



=== debian/control ===
Source: xaw3d
Section: x11
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper-compat (=13)
 ,xutils-dev (>= 1:1.0.2-3)
 ,libx11-dev
 ,libxmu-dev
 ,libxpm-dev
 ,libxt-dev
 ,x11proto-core-dev
 ,x11proto-xext-dev
 ,bison
 ,flex (>= 2.5.31-16)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/xaw3dg
Vcs-Git: https://salsa.debian.org/debian/xaw3dg.git

Package: xaw3dg
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: axe (<< 6.1.2-2)
 ,xaw3d (<= 1.3-6)
 ,xfig (<< 1:3.2.4-rel-9)
 ,gv (<< 1:3.5.8-30.1)
Description: Xaw3d widget set
 Xaw3d is a set of 3-D widgets based on the Athena Widget set, which
 adds a three dimensional appearance on some of the widgets of X11
 applications linked with this library.

Package: xaw3dg-dev
Section: devel
Architecture: any
Multi-Arch: same
Depends: xaw3dg (=${binary:Version})
 ,xutils-dev
 ,libx11-dev
 ,libxmu-dev
 ,libxpm-dev
 ,libxt-dev
 ,x11proto-core-dev
 ,x11proto-xext-dev
 ,${misc:Depends}
Conflicts: xaw3d-dev
Replaces: xaw3dg (<< 1.5+E-16)
Description: Xaw3d widget set development package
 Xaw3d is a set of 3-D widgets based on the R6.1 Athena Widget set, which
 adds a three dimensional appearance on some of the widgets of X11
 applications linked with this library.
 .
 This is the development package (includes files and static library)
 of the xaw3dg library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SOURCE=xc/lib/Xaw3d

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	rm -rf $(SOURCE)/X11 && install -m755 -d $(SOURCE)/X11
	cd $(SOURCE) && ln -sf ../ X11/Xaw3d && xmkmf
	$(MAKE) -C $(SOURCE) \
          EXTRA_DEFINES="-D_REENTRANT -DARROW_SCROLLBAR" SHLIBDEF="-D_REENTRANT -DARROW_SCROLLBAR"

override_dh_auto_clean:
	rm -rf $(SOURCE)/X11 $(COMPAT) lib/Xaw3d/laygram.h
	cd $(SOURCE) && [ -f $(SOURCE)/Makefile ] || xmkmf
	$(MAKE) -C $(SOURCE) clean
	dh_clean `find . -name Makefile`

override_dh_auto_install:
	$(MAKE) -C $(SOURCE) install \
        DESTDIR=$(CURDIR)/debian/tmp INCDIR=/usr/include \
		SHLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		USRLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installexamples:
	dh_installexamples $(SOURCE)/app-defaults

override_dh_installdocs:
	dh_installdocs $(SOURCE)/README.XAW3D
